#pragma once

#include "CoreMinimal.h"
#include "GenericGraphNode.h"
#include "DialogueAddItemNode.generated.h"

UCLASS(Blueprintable)
class UDialogueAddItemNode : public UGenericGraphNode
{
	GENERATED_BODY()
public:
	UDialogueAddItemNode();

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Dialogue")
	FText Bruh;

#if WITH_EDITOR
	virtual FText GetNodeTitle() const override;

	virtual void SetNodeTitle(const FText& NewTitle) override;

	virtual FLinearColor GetBackgroundColor() const override;
#endif
};